local vim = vim

vim.cmd 'packadd paq-nvim'
local paq = require'paq-nvim'.paq
paq{'savq/paq-nvim', opt = true}

-- libraries
paq 'nvim-lua/popup.nvim'
paq 'nvim-lua/plenary.nvim'

-- files
paq 'tjdevries/colorbuddy.nvim' -- color highlighting
paq 'maaslalani/nordbuddy' -- theme
paq 'mhinz/vim-startify' -- startup page
paq 'nvim-telescope/telescope.nvim' -- fuzzy finder
paq 'rmagatti/auto-session' -- auto session
paq 'rmagatti/session-lens' -- session lens for telescope
paq 'crispgm/telescope-heading.nvim' -- markdown heading for telescope

-- views
paq 'ojroques/nvim-hardline' -- status line
paq 'crispgm/nvim-tabline' -- tab line
paq 'dstein64/nvim-scrollview' -- scrollbar
paq 'google/vim-searchindex' -- search index
paq 'editorconfig/editorconfig-vim' -- editorconfig support
paq 'RRethy/vim-illuminate' -- word highlighting
paq 'lewis6991/gitsigns.nvim' -- git gutter

-- edit
paq 'phaazon/hop.nvim' -- hopping around
paq 'tpope/vim-surround' -- change surrounds
paq 'tpope/vim-commentary' -- comment stuff out/in
paq 'christoomey/vim-system-copy' -- copy n paste into system clipboard
paq 'steelsojka/pears.nvim' -- auto bracket match and other stuff

-- language
paq {'nvim-treesitter/nvim-treesitter', run = ':TSUpdate'} -- treesitter
paq 'nvim-treesitter/playground' -- ts playground
paq 'nvim-treesitter/nvim-treesitter-textobjects' -- ts textobjects
paq 'neovim/nvim-lspconfig' -- lsp client config
paq 'hrsh7th/nvim-compe' -- completion
paq 'rust-lang/rust.vim' -- rust support
paq 'elixir-editors/vim-elixir' -- elixir support

-- misc
paq 'famiu/nvim-reload' -- reloading the vimrc
